Basque Cyber Security Centre - Zibersegurtasun Euskal Zentroa

Hainbat ahultasun GnuTLS liburutegian

Argitalpen data: 2019/03/28

Garrantzia:Handia

Kaltetutako baliabideak:

  • GnuTLS liburutegia, 3.5.8 eta lehenagoko bertsioetatik 3.6.7ra bitartekoak.

Azalpena:

Kritikotasun altuko bi ahultasun aurkitu dira, horietako bat Google Project Zero-ko Travis Ormandy ikertzaileak aurkitutakoa da. Erasotzaile batek zerbitzariaren ustekabeko itxiera eragin lezake edo ziurtagiriak arriskuan jarri.

Konponbidea:

Xehetasuna:

  • Gaizki sortutako TLS1.3 mezu asinkrono bat bidaltzen duen erasotzaile batek zerbitzariaren ustekabeko itxiera eragin lezake, erakuslerako sarbide ez-baliagarri baten bidez. Ahultasun horretarako CVE-2019-3836 identifikatzailea erreserbatu da.
  • Ziurtagiriak egiaztatzeko APIak duen askapen bikoitz baten (double free) eraginez sortzen den memoriaren hondatzeak ziurtagiriak arriskuan jar litzake. X.509 ziurtagiriak egiaztatzen dituen edozein aplikazio, bezero nahiz zerbitzari izan, kaltetuta dago. Ahultasun horretarako CVE-2019-3829 identifikatzailea erabili da.

Etiketak: Eguneraketa, SSL/TLS, Ahultasuna.